### Hierarchy

- GameLegendTile
  - GameLegendTileOr

### Implements

- IGameTile

## Index

### Constructors

- constructor

### Properties

- __coverageCount
- __source
- collisionLayer
- spriteNameOrLevelChar
- tiles

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- __incrementCoverage
- _getDescendantTiles
- addCells
- equals
- getCellsThatMatch
- getCollisionLayer
- getCollisionLayers
- getName
- getSprites
- getSpritesThatMatch
- hasCell
- hasNegationTileWithModifier
- hasSingleCollisionLayer
- isOr
- matchesCell
- removeCells
- setCollisionLayer
- subscribeToCellChanges
- toSourceString
- toString
- updateCells

## Constructors

### constructor

- new GameLegendTileOr(source: IGameCode, spriteNameOrLevelChar: string, tiles: IGameTile[]): GameLegendTileOr

- Inherited from GameLegendTile.constructor

  Overrides BaseForLines.constructor

  - Defined in models/tile.ts:244

  #### Parameters

  - ##### source: IGameCode

  - ##### spriteNameOrLevelChar: string

  - ##### tiles: IGameTile[]

  #### Returns GameLegendTileOr

## Properties

### __coverageCount

__coverageCount: Optional<number>

Implementation of IGameTile.__coverageCount

Inherited from BaseForLines.__coverageCount

- Defined in models/BaseForLines.ts:69

### __source

__source: IGameCode

Implementation of IGameTile.__source

Inherited from BaseForLines.__source

- Defined in models/BaseForLines.ts:68

### Protected collisionLayer

collisionLayer: Optional<CollisionLayer>

Inherited from GameLegendTile.collisionLayer

- Defined in models/tile.ts:241

### spriteNameOrLevelChar

spriteNameOrLevelChar: string

Inherited from GameLegendTile.spriteNameOrLevelChar

- Defined in models/tile.ts:239

### tiles

tiles: IGameTile[]

Inherited from GameLegendTile.tiles

- Defined in models/tile.ts:240

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- Implementation of IGameTile.__getLineAndColumnRange

  Inherited from BaseForLines.__getLineAndColumnRange

  - Defined in models/BaseForLines.ts:96

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- Implementation of IGameTile.__getSourceLineAndColumn

  Inherited from BaseForLines.__getSourceLineAndColumn

  - Defined in models/BaseForLines.ts:81

  #### Returns object

  - ##### colNum: number

  - ##### line: string

  - ##### lineNum: number

  - ##### nextLine: null | string

  - ##### prevLine: null | string

### __incrementCoverage

- __incrementCoverage(): void

- Inherited from BaseForLines.__incrementCoverage

  - Defined in models/BaseForLines.ts:104

  #### Returns void

### _getDescendantTiles

- _getDescendantTiles(): IGameTile[]

- Inherited from GameLegendTile._getDescendantTiles

  - Defined in models/tile.ts:272

  #### Returns IGameTile[]

### addCells

- addCells(sprite: GameSprite, cells: Cell[], wantsToMove: Optional<RULE_DIRECTION>): void

- Inherited from GameLegendTile.addCells

  - Defined in models/tile.ts:341

  #### Parameters

  - ##### sprite: GameSprite

  - ##### cells: Cell[]

  - ##### wantsToMove: Optional<RULE_DIRECTION>

  #### Returns void

### equals

- equals(t: IGameTile): boolean

- Inherited from GameLegendTile.equals

  - Defined in models/tile.ts:255

  #### Parameters

  - ##### t: IGameTile

  #### Returns boolean

### getCellsThatMatch

- getCellsThatMatch(): Set<any>

- Inherited from GameLegendTile.getCellsThatMatch

  - Defined in models/tile.ts:316

  #### Returns Set<any>

### getCollisionLayer

- getCollisionLayer(): CollisionLayer

- Inherited from GameLegendTile.getCollisionLayer

  - Defined in models/tile.ts:294

  #### Returns CollisionLayer

### getCollisionLayers

- getCollisionLayers(): any[]

- Inherited from GameLegendTile.getCollisionLayers

  - Defined in models/tile.ts:308

  #### Returns any[]

### getName

- getName(): string

- Inherited from GameLegendTile.getName

  - Defined in models/tile.ts:269

  #### Returns string

### getSprites

- getSprites(): GameSprite[]

- Inherited from GameLegendTile.getSprites

  - Defined in models/tile.ts:276

  #### Returns GameSprite[]

### getSpritesThatMatch

- getSpritesThatMatch(cell: Cell): Set<any>

- Overrides GameLegendTile.getSpritesThatMatch

  - Defined in models/tile.ts:456

  #### Parameters

  - ##### cell: Cell

  #### Returns Set<any>

### hasCell

- hasCell(cell: Cell): boolean

- Implementation of IGameTile.hasCell

  Inherited from GameLegendTile.hasCell

  - Defined in models/tile.ts:387

  #### Parameters

  - ##### cell: Cell

  #### Returns boolean

### hasNegationTileWithModifier

- hasNegationTileWithModifier(): boolean

- Inherited from GameLegendTile.hasNegationTileWithModifier

  - Defined in models/tile.ts:333

  #### Returns boolean

### hasSingleCollisionLayer

- hasSingleCollisionLayer(): boolean

- Overrides GameLegendTile.hasSingleCollisionLayer

  - Defined in models/tile.ts:460

  #### Returns boolean

### isOr

- isOr(): boolean

- Overrides GameLegendTile.isOr

  - Defined in models/tile.ts:438

  #### Returns boolean

### matchesCell

- matchesCell(cell: Cell): boolean

- Overrides GameLegendTile.matchesCell

  - Defined in models/tile.ts:441

  #### Parameters

  - ##### cell: Cell

  #### Returns boolean

### removeCells

- removeCells(sprite: GameSprite, cells: Cell[]): void

- Inherited from GameLegendTile.removeCells

  - Defined in models/tile.ts:367

  #### Parameters

  - ##### sprite: GameSprite

  - ##### cells: Cell[]

  #### Returns void

### setCollisionLayer

- setCollisionLayer(collisionLayer: CollisionLayer): void

- Inherited from GameLegendTile.setCollisionLayer

  - Defined in models/tile.ts:291

  #### Parameters

  - ##### collisionLayer: CollisionLayer

  #### Returns void

### subscribeToCellChanges

- subscribeToCellChanges(t: SimpleTileWithModifier): void

- Inherited from GameLegendTile.subscribeToCellChanges

  - Defined in models/tile.ts:326

  #### Parameters

  - ##### t: SimpleTileWithModifier

  #### Returns void

### toSourceString

- toSourceString(): string

- Implementation of IGameTile.toSourceString

  Inherited from BaseForLines.toSourceString

  - Defined in models/BaseForLines.ts:90

  #### Returns string

### toString

- toString(): string

- Implementation of IGameTile.toString

  Inherited from BaseForLines.toString

  - Defined in models/BaseForLines.ts:85

  #### Returns string

### updateCells

- updateCells(sprite: GameSprite, cells: Cell[], wantsToMove: Optional<RULE_DIRECTION>): void

- Inherited from GameLegendTile.updateCells

  - Defined in models/tile.ts:353

  #### Parameters

  - ##### sprite: GameSprite

  - ##### cells: Cell[]

  - ##### wantsToMove: Optional<RULE_DIRECTION>

  #### Returns void

Generated using TypeDoc